--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: autostart
  rw: W
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: api
  name: behaviors
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: api
  name: directory
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: driver
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: group
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: initial_state
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: interval
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: api
  name: metrics
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: name
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: api
  name: state
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: valid_states
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: God::Task
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: action
- !ruby/object:RI::MethodSummary 
  name: attach
- !ruby/object:RI::MethodSummary 
  name: autostart?
- !ruby/object:RI::MethodSummary 
  name: canonical_hash_form
- !ruby/object:RI::MethodSummary 
  name: dest_desc
- !ruby/object:RI::MethodSummary 
  name: detach
- !ruby/object:RI::MethodSummary 
  name: handle_event
- !ruby/object:RI::MethodSummary 
  name: handle_poll
- !ruby/object:RI::MethodSummary 
  name: lifecycle
- !ruby/object:RI::MethodSummary 
  name: log_line
- !ruby/object:RI::MethodSummary 
  name: method_missing
- !ruby/object:RI::MethodSummary 
  name: monitor
- !ruby/object:RI::MethodSummary 
  name: move
- !ruby/object:RI::MethodSummary 
  name: notify
- !ruby/object:RI::MethodSummary 
  name: prepare
- !ruby/object:RI::MethodSummary 
  name: register!
- !ruby/object:RI::MethodSummary 
  name: transition
- !ruby/object:RI::MethodSummary 
  name: trigger
- !ruby/object:RI::MethodSummary 
  name: trigger?
- !ruby/object:RI::MethodSummary 
  name: unmonitor
- !ruby/object:RI::MethodSummary 
  name: unregister!
- !ruby/object:RI::MethodSummary 
  name: valid?
name: Task
superclass: Object
